//-----------------------------------------------------------------------
// <copyright file="Host.cs" company="BME MIT">
//     Released under The Code Project Open License (CPOL) 1.02
//     Based on work of Stephan Meyn and smallguy78
//     Modified by Daniel Darvas, BME MIT
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.Configuration;
using System.Threading;
using System.Xml;

namespace MicroWiki
{
    /// <summary>
    /// This is the host that will run the MicroWiki
    /// </summary>
    public class Host
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        /// <param name="args">Command line arguments. Not used.</param>
        public static void Main(string[] args)
        {
            Wiki wiki = new Wiki();
            Thread aggThread = new Thread(new ThreadStart(wiki.Run));
            aggThread.IsBackground = true; // thread dies when this routine ends
            aggThread.Start();
            while (!wiki.ServerRunning)
            {
                Thread.Sleep(100);
            }

            Console.WriteLine("MicroWiki started and listening on port {0}. Hit RETURN to terminate.", wiki.Port);
            Console.ReadLine();
            Console.WriteLine("MicroWiki stopped.");
        }
    }
}
